﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace LEDApp
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }
        private void btnWriteDaq_Click(object sender, EventArgs e)
        {
            Task digitalOutTask = new Task();

            digitalOutTask.DOChannels.CreateChannel("dev1/Port0/line0:7", "myDAChannel", ChannelLineGrouping.OneChannelForAllLines);

            DigitalSingleChannelWriter writer = new DigitalSingleChannelWriter(digitalOutTask.Stream);

            bool[] dataArray = new bool[8];
            dataArray[0] = chkLed1.Checked;
            dataArray[1] = chkLed2.Checked;
            dataArray[2] = chkLed3.Checked;
            dataArray[3] = chkLed4.Checked;
            dataArray[4] = chkLed5.Checked;
            dataArray[5] = chkLed6.Checked;
            dataArray[6] = chkLed7.Checked;
            dataArray[7] = chkLed8.Checked;

            writer.WriteSingleSampleMultiLine(true, dataArray);
        }
    }
}